Package org.eclipse.emf.cdo.spi.server

## Interface IAppExtension

- All Known Subinterfaces:
    `IAppExtension2`, `IAppExtension3`, `IAppExtension4`
  All Known Implementing Classes:
    `AppExtension`

      public interface IAppExtension

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `EXT_POINT` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `start​(java.io.File configFile)` |
    `void` | `stop()` |

- - ### Field Detail

    - #### EXT_POINT

          static final java.lang.String EXT_POINT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### start

          void start​(java.io.File configFile)
              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### stop

          void stop()
             throws java.lang.Exception

      Throws:
        `java.lang.Exception`